Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded.junit
Class BaseTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jboss.embedded.junit.BaseTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class BaseTestCase

extends junit.framework.TestCase

This base TestCase class will automatically 1. bootstrap Embedded JBoss 2. Call static methods deploy() and undeploy() of the class at setup() and tearDown() If the preProcessedTest() method is used, this creates a TestSetup that will skip step 2 above and instead call the static deploy() method before any test methods are run in the class. Undeploy() will be called when all test methods of the class are finished. This class was designed so that all tests within the class can be run at once from your IDE, or just one test method.

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Constructor Summary
`BaseTestCase()`
`BaseTestCase(java.lang.String string)`

Method Summary
`static junit.framework.Test` | `preProcessedTest(java.lang.Class testClass)` Use this in a static suite() method in your test class to bootstrap and deploy your modules before any tests run.
`protected void` | `setUp()`
`protected void` | `tearDown()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseTestCase

    public BaseTestCase()

### BaseTestCase

    public BaseTestCase(java.lang.String string)

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### preProcessedTest

    public static junit.framework.Test preProcessedTest(java.lang.Class testClass)

  Use this in a static suite() method in your test class to bootstrap and deploy your modules before any tests run.

  Parameters:
    `testClass` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD